<script lang="ts" setup>
import { defineProps } from 'vue';

const props = defineProps({
    id:{
        type:String,
        required:true,
    }
})

</script>

<template>
    <div class="modal fade" :id="props?.id" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content mainbg">
                <slot />
            </div>
        </div>
    </div>
</template>

